.card-display {
    display: grid;
    grid-template-columns: repeat( auto-fit, minmax(350px, 1fr));
    grid-auto-rows: min-content;
    overflow-y: auto;
    overflow-x: hidden;
    justify-items: center;
}

.my-cards-text {
    font-size: xx-large;
    text-align: center;
    margin: 0;
    margin-top: 15px;
    margin-bottom: 15px;
}

.payment-card {
    position: relative;
    margin-left: 25px;
    margin-right: 25px;
    border-radius: 15px;
    width: 325px;
    background-color: var(--secondary-blue);
}

.remove-button {
    position: absolute;
    top: -5px;
    right: -5px;
}

.wrapper__card-text {
    display: flex;
    flex-direction: column;
    gap: 5px;
}

.wrapper__card-date-cvv {
    display: grid;
    grid-template-rows: 1fr 1fr;
    grid-template-columns: 1fr 1fr;
}

.add-button {
    position: fixed;
    bottom: 25px;
    right: 25px;
}

.modal {
    border-radius: 5px;
    max-width: 500px;
    overflow-x: hidden;
}

.wrapper__date-cvv {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    gap: 35px;
}

.preloader-wrapper{
    margin-left: auto;
    margin-right: auto;
    display: block !important;
} 